Subject: RE: Use of HTTP as a base for protocols (CAP)

From: Pom Bajar <[email-masked]>
Date: Tue, 10 Nov 1998 09:30:03 -0800 (PST)

<snip>
B:)> If someone in my company is accessing a calendar outside a
B:)> firewall, it would make perfect sense to store that information in the 
cache
B:)> so that it could be accessed efficiently later by another user in my
B:)> company.
B:)
B:)  I think I'm losing, here; I'm not sure why another user in your company
B:)would be accessing the same calendar.
B:)
	This one is easy...  an admin/secretary type needs to schedule a
	meeting for several folks... with proper ACLs he/she can access
	the multiple calendars and browse available times for everyone
	involved. With proper ACLs have the capability to insert an
	appointment for everyone; of course with proper email/voice
	notifcation.
	
	Question is... what is the advantage of a cache if it gets updated
	quite regularly ?
	
<snip>

Pom.

~~~~~~~ standard disclaimers apply ~~~~~~~

---

From: "Alan K. Stebbens" <[email-masked]>
Date: Tue, 10 Nov 1998 10:01:47 -0800

| B:)  I think I'm losing, here; I'm not sure why another user in
| your company
| B:)would be accessing the same calendar.
| B:)
| 	This one is easy...  an admin/secretary type needs to schedule a
| 	meeting for several folks... with proper ACLs he/she can access
| 	the multiple calendars and browse available times for everyone
| 	involved. With proper ACLs have the capability to insert an
| 	appointment for everyone; of course with proper email/voice
| 	notifcation.
|
| 	Question is... what is the advantage of a cache if it gets updated
| 	quite regularly ?

Hmm. RAM gets updated *quite* frequently, yet most computers perform
terribly without cache.  Why is that? :^)

The issue of cache update frequency is independent of the benefits of
caching.  The former certainly affects the algorithm used to implement the
latter, but the latter exists regardless of the former (ie: caching has
benefits regardless of the update frequency).

Besides the obvious advantage of lowering read latencies, caching is also a
means of distribution -- of making partial or complete copies in many places
of a singular data source (ie: a global directory).